package com.cecf.observe;

import org.apache.flink.api.common.functions.AggregateFunction;

import java.util.HashMap;
import java.util.Map;

public class ErrorCountAggregate implements AggregateFunction<QueryLogRow, Map<Integer, Integer>, Map<Integer, Integer>> {
    @Override
    public Map<Integer, Integer> createAccumulator() {
        return new HashMap<>();
    }

    @Override
    public Map<Integer, Integer> add(QueryLogRow queryLogRow, Map<Integer, Integer> integerIntegerMap) {
        integerIntegerMap.put(queryLogRow.exceptionCode,
                integerIntegerMap.getOrDefault(queryLogRow.exceptionCode, 0) + 1);
        return integerIntegerMap;
    }

    @Override
    public Map<Integer, Integer> getResult(Map<Integer, Integer> integerIntegerMap) {
        return integerIntegerMap;
    }

    @Override
    public Map<Integer, Integer> merge(Map<Integer, Integer> integerIntegerMap, Map<Integer, Integer> acc1) {
        for (Map.Entry<Integer, Integer> entry : integerIntegerMap.entrySet()) {
            acc1.put(entry.getKey(), acc1.getOrDefault(entry.getKey(), 0) + entry.getValue());
        }
        return acc1;
    }
}
