package com.cecf.observe;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

public class QueryLogRow {

    public String hostname;
    public String queryType;
    public LocalDate eventDate;
    public LocalDateTime eventTime;
    public LocalDateTime queryStartTime;
    public BigDecimal queryDurationMs;
    public BigDecimal resultBytes;
    public BigDecimal resultRows;
    public BigDecimal writtenBytes;
    public BigDecimal writtenRows;
    public BigDecimal readBytes;
    public BigDecimal readRows;
    public List<String> databases;
    public List<String> tables;
    public List<String> columns;
    public List<String> partitions;
    public String queryKind;
    public BigDecimal memoryUsage;
    public String currentDatabase;
    public String query;
    public String formattedQuery;
    public BigDecimal normalizedQueryHash;
    public Integer exceptionCode;
    public String exception;
    public String stackTrace;
    public Short isInitialQuery;
    public String user;
    public String query_id;
    public Integer port;
    public String clientName;
    public String httpUserAgent;

   public String toString() {
       return String.format("%d : %s", exceptionCode, exception);
   }
}
