package com.cecf.observe;

import org.apache.flink.streaming.api.functions.windowing.ProcessAllWindowFunction;
import org.apache.flink.streaming.api.windowing.windows.TimeWindow;
import org.apache.flink.util.Collector;
import scala.Tuple2;

public class TimeWindowAdder<IN> extends ProcessAllWindowFunction<IN, Tuple2<IN, TimeWindow>, TimeWindow> {

    @Override
    public void process(ProcessAllWindowFunction<IN, Tuple2<IN, TimeWindow>, TimeWindow>.Context context,
                        Iterable<IN> iterable, Collector<Tuple2<IN, TimeWindow>> collector) throws Exception {
        TimeWindow timeWindow = context.window();
        IN value = iterable.iterator().next();
        collector.collect(new Tuple2<>(value, timeWindow));
    }
}
